---

- name: import Ubuntu tasks
  import_tasks: ubuntu.yml
  when: ansible_distribution == 'Ubuntu'

- name: import Debian tasks
  import_tasks: debian.yml
  when: ansible_distribution == 'Debian'

- name: install additional dependencies
  apt:
    name: "{{ item }}"
  loop:
    - python-yaml
    - python3-yaml
  
- name: fix missing module path so that python modules run
  file:
    src: "{{ item.src }}"
    dest: /usr/lib/x86_64-linux-gnu/netdata/python.d/python_modules/{{ item.name }}
    state: link
  loop:
    - { src: "/usr/lib/python3/dist-packages/yaml/", name: "pyyaml3" }
    - { src: "/usr/lib/python2.7/dist-packages/yaml/", name: "pyyaml2" }

- name: add profile for correct config location
  copy: 
    content: "export NETDATA_CONFIG_DIR={{ netdata_config_dir }}"
    dest: /etc/profile.d/netdata.sh

- name: install netdata configs
  template:
    src: "{{ item }}.j2"
    dest: "{{ netdata_config_dir }}/{{ item }}"
  notify: restart netdata
  tags: netdata:config
  loop:
    - netdata.conf
    - stream.conf
